package com.inca.timer;

import com.inca.np.auth.Userruninfo;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.util.SelectHelper;
import com.inca.npbusi.sales.bms_sa_doc.Bms_sales_confirm_dbprocess;
import com.inca.npserver.timer.TimerAdapter;
import java.sql.Connection;
import java.sql.SQLException;
import org.apache.log4j.Category;

public class AutoConfirmSaSetTimer extends TimerAdapter {
   private Category a = Category.getInstance(AutoConfirmSaSetTimer.class);

   public String getName() {
      return "自动确定临时状态结算单并生成传票";
   }

   public long getSecond() {
      return 82800L;
   }

   public String getType() {
      return "每天执行一次";
   }

   public void onTimer() {
      Connection var1 = null;
      String var2 = null;

      try {
         this.a.info("定时执行结算单确定并生成传票开始......");
         var1 = this.getConnection();
         this.a.info("开始查询数据......");
         var2 = "select d.sasettleid, d.entryid, d.inputmanid\n  from bms_sa_dtl        a,\n       bms_sa_doctoset   b,\n       bms_sa_settle_dtl c,\n       bms_sa_settle_doc d\n where a.salesdtlid = b.salesdtlid\n   and b.sasettledtlid = c.sasettledtlid\n   and c.sasettleid = d.sasettleid\n   and d.usestatus = 2\n   and trunc(d.credate) = trunc(sysdate)\n group by d.sasettleid, d.entryid, d.inputmanid";
         DBTableModel var18;
         if ((var18 = (new SelectHelper(var2)).executeSelect(var1, 0, 2147483646)) != null && var18.getRowCount() != 0) {
            for(int var3 = 0; var3 < var18.getRowCount(); ++var3) {
               String var4 = var18.getItemValue(var3, "sasettleid");
               String var5 = var18.getItemValue(var3, "inputmanid");
               String var6 = var18.getItemValue(var3, "entryid");
               Userruninfo var7;
               (var7 = new Userruninfo()).setEntryid(var6);
               var7.setUserid(var5);
               Bms_sales_confirm_dbprocess.saSettleConfirm(var1, var4, var7, var6);
               Bms_sales_confirm_dbprocess.genCert(var1, var4, var6, var7);
            }
         } else {
            this.a.info("未查询到符合条件的数据......");
         }

         this.a.info("定时执行结算单确定并生成传票结束......");
         return;
      } catch (Exception var16) {
         try {
            var1.rollback();
         } catch (SQLException var15) {
         }

         this.a.error("Error", var16);
      } finally {
         if (var1 != null) {
            try {
               var1.commit();
               var1.close();
            } catch (SQLException var14) {
            }
         }

      }

   }
}
